## com.baidubce.services.moladb
Class MolaDbConstants

    java.lang.Object
      com.baidubce.services.moladb.MolaDbConstants

    public class MolaDbConstants

extends Object

MolaDbConstants used by the Baidu Moladb Java client.

Field Summary
`static String` `CONTENT_TYPE_JSON`
`static String` `DEFAULT_ENCODING` Default encoding used for text data
`static int` `DEFAULT_LIST_INSTANCE_LIMIT`
`static int` `DEFAULT_LIST_TABLES_LIMIT`
`static String` `JSON_ACCOUNT`
`static String` `JSON_ACTION`
`static String` `JSON_ASC`
`static String` `JSON_ATTRIBUTE_DEFINITIONS`
`static String` `JSON_ATTRIBUTE_LIST`
`static String` `JSON_ATTRIBUTE_NAME`
`static String` `JSON_ATTRIBUTE_TYPE`
`static String` `JSON_ATTRIBUTE_UPDATES`
`static String` `JSON_ATTRIBUTES`
`static String` `JSON_ATTRIBUTES_TO_GET`
`static String` `JSON_B`
`static String` `JSON_CONSISTENT_READ`
`static String` `JSON_CREATE_DATE_TIME`
`static String` `JSON_DELETE`
`static String` `JSON_DELETE_REQUEST`
`static String` `JSON_DESC`
`static String` `JSON_DESCRIPTION`
`static String` `JSON_ERROR_MSG`
`static String` `JSON_ERROR_NO`
`static String` `JSON_EXCLUSIVE_START_KEY`
`static String` `JSON_EXIST`
`static String` `JSON_EXPECT`
`static String` `JSON_EXPRESSION_ATTRIBUTEVALUES`
`static String` `JSON_FALSE`
`static String` `JSON_HASH_KEY`
`static String` `JSON_HASH_KEY_VALUE`
`static String` `JSON_INSTANCE_NAMES`
`static String` `JSON_ITEM`
`static String` `JSON_ITEM_COUNT`
`static String` `JSON_ITEMS`
`static String` `JSON_KEY`
`static String` `JSON_KEY_CONDITION_EXPRESSION`
`static String` `JSON_KEY_SCHEMA`
`static String` `JSON_KEY_TYPE`
`static String` `JSON_KEYS`
`static String` `JSON_LAST_DECREASE_TIME`
`static String` `JSON_LAST_EVALUATED_INSTANCE_NAME`
`static String` `JSON_LAST_EVALUATED_KEY`
`static String` `JSON_LAST_EVALUATED_TABLE_NAME`
`static String` `JSON_LAST_INCREASE_TIME`
`static String` `JSON_LIMIT`
`static String` `JSON_LIST_TABLES_LIMT`
`static String` `JSON_LOW_BOUND`
`static String` `JSON_N`
`static String` `JSON_NAME`
`static String` `JSON_NUM_DECREASE_TODAY`
`static String` `JSON_ORDER`
`static String` `JSON_PROVISION_THROUGHPUT`
`static String` `JSON_PUT`
`static String` `JSON_PUT_REQUEST`
`static String` `JSON_RANGE_KEY`
`static String` `JSON_READ_CAPACITY_UNITS`
`static String` `JSON_REQUEST_ITEMS`
`static String` `JSON_RESPONSES`
`static String` `JSON_S`
`static String` `JSON_START_INSTANCE_NAME`
`static String` `JSON_START_TABLE_NAME`
`static String` `JSON_STORAGE_CAPCITY_IN_B`
`static String` `JSON_TABLE`
`static String` `JSON_TABLE_SIZE_IN_B`
`static String` `JSON_TABLE_STATUS`
`static String` `JSON_TABLENAME`
`static String` `JSON_TABLENAMES`
`static String` `JSON_TABLES`
`static String` `JSON_TRUE`
`static String` `JSON_UNPROCESSED_ITEMS`
`static String` `JSON_UP_BOUND`
`static String` `JSON_VALUE`
`static String` `JSON_WRITE_CAPACITY_UNITS`
`static String` `MOLADB_DEFAULT_HOSTNAME` Default hostname for the Moladb service endpoint
`static String` `URI_ATTRIBUTES_TO_GET`
`static String` `URI_BATCH_GET`
`static String` `URI_BATCH_WRITE`
`static String` `URI_CONSISTENT_READ`
`static String` `URI_INSTANCE`
`static String` `URI_ITEM`
`static String` `URI_QUERY`
`static String` `URI_TABLE`

Constructor Summary
`MolaDbConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOLADB_DEFAULT_HOSTNAME

    public static String MOLADB_DEFAULT_HOSTNAME

  Default hostname for the Moladb service endpoint

### DEFAULT_ENCODING

    public static String DEFAULT_ENCODING

  Default encoding used for text data

### CONTENT_TYPE_JSON

    public static final String CONTENT_TYPE_JSON

See Also:
  Constant Field Values

### JSON_ATTRIBUTE_DEFINITIONS

    public static final String JSON_ATTRIBUTE_DEFINITIONS

See Also:
  Constant Field Values

### JSON_ATTRIBUTE_NAME

    public static final String JSON_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### JSON_ATTRIBUTE_TYPE

    public static final String JSON_ATTRIBUTE_TYPE

See Also:
  Constant Field Values

### JSON_CREATE_DATE_TIME

    public static final String JSON_CREATE_DATE_TIME

See Also:
  Constant Field Values

### JSON_HASH_KEY

    public static final String JSON_HASH_KEY

See Also:
  Constant Field Values

### JSON_ITEM_COUNT

    public static final String JSON_ITEM_COUNT

See Also:
  Constant Field Values

### JSON_KEY_SCHEMA

    public static final String JSON_KEY_SCHEMA

See Also:
  Constant Field Values

### JSON_KEY_TYPE

    public static final String JSON_KEY_TYPE

See Also:
  Constant Field Values

### JSON_LAST_DECREASE_TIME

    public static final String JSON_LAST_DECREASE_TIME

See Also:
  Constant Field Values

### JSON_LAST_EVALUATED_TABLE_NAME

    public static final String JSON_LAST_EVALUATED_TABLE_NAME

See Also:
  Constant Field Values

### JSON_LAST_INCREASE_TIME

    public static final String JSON_LAST_INCREASE_TIME

See Also:
  Constant Field Values

### JSON_LIST_TABLES_LIMT

    public static final String JSON_LIST_TABLES_LIMT

See Also:
  Constant Field Values

### JSON_NUM_DECREASE_TODAY

    public static final String JSON_NUM_DECREASE_TODAY

See Also:
  Constant Field Values

### JSON_PROVISION_THROUGHPUT

    public static final String JSON_PROVISION_THROUGHPUT

See Also:
  Constant Field Values

### JSON_RANGE_KEY

    public static final String JSON_RANGE_KEY

See Also:
  Constant Field Values

### JSON_READ_CAPACITY_UNITS

    public static final String JSON_READ_CAPACITY_UNITS

See Also:
  Constant Field Values

### JSON_START_TABLE_NAME

    public static final String JSON_START_TABLE_NAME

See Also:
  Constant Field Values

### JSON_STORAGE_CAPCITY_IN_B

    public static final String JSON_STORAGE_CAPCITY_IN_B

See Also:
  Constant Field Values

### JSON_TABLE

    public static final String JSON_TABLE

See Also:
  Constant Field Values

### JSON_TABLENAMES

    public static final String JSON_TABLENAMES

See Also:
  Constant Field Values

### JSON_TABLES

    public static final String JSON_TABLES

See Also:
  Constant Field Values

### JSON_TABLE_SIZE_IN_B

    public static final String JSON_TABLE_SIZE_IN_B

See Also:
  Constant Field Values

### JSON_TABLE_STATUS

    public static final String JSON_TABLE_STATUS

See Also:
  Constant Field Values

### JSON_ACCOUNT

    public static final String JSON_ACCOUNT

See Also:
  Constant Field Values

### JSON_WRITE_CAPACITY_UNITS

    public static final String JSON_WRITE_CAPACITY_UNITS

See Also:
  Constant Field Values

### JSON_ACTION

    public static final String JSON_ACTION

See Also:
  Constant Field Values

### JSON_ATTRIBUTES

    public static final String JSON_ATTRIBUTES

See Also:
  Constant Field Values

### JSON_ATTRIBUTES_TO_GET

    public static final String JSON_ATTRIBUTES_TO_GET

See Also:
  Constant Field Values

### JSON_ATTRIBUTE_LIST

    public static final String JSON_ATTRIBUTE_LIST

See Also:
  Constant Field Values

### JSON_ATTRIBUTE_UPDATES

    public static final String JSON_ATTRIBUTE_UPDATES

See Also:
  Constant Field Values

### JSON_B

    public static final String JSON_B

See Also:
  Constant Field Values

### JSON_CONSISTENT_READ

    public static final String JSON_CONSISTENT_READ

See Also:
  Constant Field Values

### JSON_DELETE

    public static final String JSON_DELETE

See Also:
  Constant Field Values

### JSON_DELETE_REQUEST

    public static final String JSON_DELETE_REQUEST

See Also:
  Constant Field Values

### JSON_ERROR_MSG

    public static final String JSON_ERROR_MSG

See Also:
  Constant Field Values

### JSON_ERROR_NO

    public static final String JSON_ERROR_NO

See Also:
  Constant Field Values

### JSON_EXIST

    public static final String JSON_EXIST

See Also:
  Constant Field Values

### JSON_EXPECT

    public static final String JSON_EXPECT

See Also:
  Constant Field Values

### JSON_FALSE

    public static final String JSON_FALSE

See Also:
  Constant Field Values

### JSON_ITEM

    public static final String JSON_ITEM

See Also:
  Constant Field Values

### JSON_ITEMS

    public static final String JSON_ITEMS

See Also:
  Constant Field Values

### JSON_KEY

    public static final String JSON_KEY

See Also:
  Constant Field Values

### JSON_KEYS

    public static final String JSON_KEYS

See Also:
  Constant Field Values

### JSON_N

    public static final String JSON_N

See Also:
  Constant Field Values

### JSON_NAME

    public static final String JSON_NAME

See Also:
  Constant Field Values

### JSON_PUT

    public static final String JSON_PUT

See Also:
  Constant Field Values

### JSON_PUT_REQUEST

    public static final String JSON_PUT_REQUEST

See Also:
  Constant Field Values

### JSON_REQUEST_ITEMS

    public static final String JSON_REQUEST_ITEMS

See Also:
  Constant Field Values

### JSON_RESPONSES

    public static final String JSON_RESPONSES

See Also:
  Constant Field Values

### JSON_S

    public static final String JSON_S

See Also:
  Constant Field Values

### JSON_TABLENAME

    public static final String JSON_TABLENAME

See Also:
  Constant Field Values

### JSON_TRUE

    public static final String JSON_TRUE

See Also:
  Constant Field Values

### JSON_UNPROCESSED_ITEMS

    public static final String JSON_UNPROCESSED_ITEMS

See Also:
  Constant Field Values

### JSON_VALUE

    public static final String JSON_VALUE

See Also:
  Constant Field Values

### URI_CONSISTENT_READ

    public static final String URI_CONSISTENT_READ

See Also:
  Constant Field Values

### URI_ATTRIBUTES_TO_GET

    public static final String URI_ATTRIBUTES_TO_GET

See Also:
  Constant Field Values

### URI_INSTANCE

    public static final String URI_INSTANCE

See Also:
  Constant Field Values

### URI_TABLE

    public static final String URI_TABLE

See Also:
  Constant Field Values

### URI_BATCH_GET

    public static final String URI_BATCH_GET

See Also:
  Constant Field Values

### URI_BATCH_WRITE

    public static final String URI_BATCH_WRITE

See Also:
  Constant Field Values

### URI_ITEM

    public static final String URI_ITEM

See Also:
  Constant Field Values

### URI_QUERY

    public static final String URI_QUERY

See Also:
  Constant Field Values

### JSON_EXCLUSIVE_START_KEY

    public static final String JSON_EXCLUSIVE_START_KEY

See Also:
  Constant Field Values

### JSON_LIMIT

    public static final String JSON_LIMIT

See Also:
  Constant Field Values

### JSON_KEY_CONDITION_EXPRESSION

    public static final String JSON_KEY_CONDITION_EXPRESSION

See Also:
  Constant Field Values

### JSON_ORDER

    public static final String JSON_ORDER

See Also:
  Constant Field Values

### JSON_ASC

    public static final String JSON_ASC

See Also:
  Constant Field Values

### JSON_DESC

    public static final String JSON_DESC

See Also:
  Constant Field Values

### JSON_HASH_KEY_VALUE

    public static final String JSON_HASH_KEY_VALUE

See Also:
  Constant Field Values

### JSON_LOW_BOUND

    public static final String JSON_LOW_BOUND

See Also:
  Constant Field Values

### JSON_UP_BOUND

    public static final String JSON_UP_BOUND

See Also:
  Constant Field Values

### JSON_EXPRESSION_ATTRIBUTEVALUES

    public static final String JSON_EXPRESSION_ATTRIBUTEVALUES

See Also:
  Constant Field Values

### JSON_LAST_EVALUATED_KEY

    public static final String JSON_LAST_EVALUATED_KEY

See Also:
  Constant Field Values

### JSON_START_INSTANCE_NAME

    public static final String JSON_START_INSTANCE_NAME

See Also:
  Constant Field Values

### JSON_INSTANCE_NAMES

    public static final String JSON_INSTANCE_NAMES

See Also:
  Constant Field Values

### JSON_LAST_EVALUATED_INSTANCE_NAME

    public static final String JSON_LAST_EVALUATED_INSTANCE_NAME

See Also:
  Constant Field Values

### JSON_DESCRIPTION

    public static final String JSON_DESCRIPTION

See Also:
  Constant Field Values

### DEFAULT_LIST_TABLES_LIMIT

    public static final int DEFAULT_LIST_TABLES_LIMIT

See Also:
  Constant Field Values

### DEFAULT_LIST_INSTANCE_LIMIT

    public static final int DEFAULT_LIST_INSTANCE_LIMIT

See Also:
  Constant Field Values

Constructor Detail

### MolaDbConstants

    public MolaDbConstants()

Copyright © 2016. All rights reserved.